import matplotlib.pyplot as plt
import numpy as np

plt.rcParams.update({"text.usetex": True})

 # Réglages police :
 
plt.rcParams["font.size"] = 14
#plt.rcParams["font.weight"] = "bold"



fig, ax=plt.subplots(2, 2)
fig.suptitle('Quelques allures de fonctions', fontsize=20, fontweight='bold')
x=np.linspace(0, 2, 100)#commun à tous les graphes
plt.subplots_adjust(left=None, bottom=None, right=None, top=None,
wspace=None, hspace=0.5)

ax1=plt.subplot(221)
plt.plot(x, 2*x+3)
plt.text(0 , 6, r"$f(x)=2x+3$", fontsize=18)
#ax1.xaxis.set_ticklabels([])#effacer les nombres des gr
plt.title('fonction affine', y=-0.4)


ax2=plt.subplot(222)
#x=np.linspace(0, 2, 100)
plt.plot(x, 1/x)
plt.text(0.5, 5, r"$f(x)=\frac{1}{x}$", fontsize=18)
#ax2.xaxis.set_ticklabels([])#effacer les nombres des graduations
#ax2.xaxis.set_ticks([])#effacer les ticks
#ax2.yaxis.set_ticks([])#effacer les ticks
#ax2.yaxis.set_ticklabels([])#effacer les nombres des graduations
plt.title('fonction inverse', y=-0.4)
plt.axis([0, 1.5, 0, 8])

ax3=plt.subplot(223)
#x=np.linspace(0, 2, 100)
plt.plot(x, x**2)
plt.text(.3, 3, r"$f(x)=x^2$", fontsize=18)
#ax3.xaxis.set_ticklabels([])#effacer les nombres des graduations
#ax3.xaxis.set_ticks([])#effacer les ticks
#ax3.yaxis.set_ticks([])#effacer les ticks
#ax3.yaxis.set_ticklabels([])#effacer les nombres des graduations
plt.title('parabole', y=-0.4)

ax4=plt.subplot(224)
#x=np.linspace(0, 2, 100)
plt.plot(x, np.exp(x))
plt.text(0.0, 5, r"$f(x)=e^x$", fontsize=18)
#ax4.xaxis.set_ticklabels([])#effacer les nombres des graduations
#ax4.xaxis.set_ticks([])#effacer les ticks
#ax4.yaxis.set_ticks([])#effacer les ticks
#ax4.yaxis.set_ticklabels([])#effacer les nombres des graduations
plt.title('fonction exponentielle', y=-0.4)


plt.show()
